
Redmine - Defect #31125

Don't output ImageMagick version information to stdout

2019-03-31 09:30 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.4.11   

Resolution: Fixed Affected version:  

Description

I see many ImageMagick banners like the following in the log file of Passenger but they are quite useless. I propose the attached

change to prevent ImageMagick banners from being logged.

App 5886 output: Version: ImageMagick 6.7.8-9 2016-06-22 Q16 http://www.imagemagick.org

App 5886 output: Copyright: Copyright (C) 1999-2012 ImageMagick Studio LLC

App 5886 output: Features: OpenMP

App 5886 output:

Associated revisions

Revision 18126 - 2019-05-05 02:44 - Go MAEDA

Don't output ImageMagick version information to stdout (#31125).

Patch by Go MAEDA.

Revision 18127 - 2019-05-05 03:37 - Go MAEDA

Merged r18126 from trunk to 4.0-stable (#31125).

Revision 18128 - 2019-05-05 03:37 - Go MAEDA

Merged r18126 from trunk to 3.4-stable (#31125).

History

#1 - 2019-05-04 12:38 - Go MAEDA

- Category changed from Attachments to Administration

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-05-05 02:46 - Go MAEDA

- Subject changed from Don't output ImageMagick banner to stdout to Don't output ImageMagick version information to stdout

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 3.4.11

- Resolution set to Fixed

Committed the fix.

#3 - 2019-05-05 03:38 - Go MAEDA

- Status changed from Resolved to Closed

Files

stop-output-imagemagick-banner-to-stdout.patch 688 Bytes 2019-03-31 Go MAEDA
